<template>
    <div>
        <h1>Administration</h1>
        <div id="creation">
            <h3>Création club</h3>
            <input
                class="uk-input"
                type="text"
                placeholder="Entrer un nom"
                v-model="nomClub"
            />
            <button
                class="uk-button uk-button-default"
                @click="enregistrerClub()"
            >
                Enregistrer club
            </button>
        </div>
        <div id="clubs">
            <h3>Affectation à un club</h3>
            <select class="uk-select" v-model="clubSelectionne">
                <option
                    v-for="club in clubsExistants"
                    :key="club.id"
                    v-bind:value="club.id"
                >
                    {{ club.nom }}
                </option>
            </select>
            <router-link
                v-if="clubSelectionne"
                tag="button"
                class="uk-button uk-button-default"
                :to="{
                    name: 'AffectationClub',
                    params: { id: clubSelectionne }
                }"
            >
                Affecter professeur à un club
            </router-link>
        </div>
    </div>
</template>

<script lang="ts">
import Vue from 'vue';
import Axios from '@/auth/axiosAuth';
import Component from 'vue-class-component';
@Component
export default class Administration extends Vue {
    private nomClub = '';
    private clubsExistants: any[] = [];
    private clubSelectionne = '';

    beforeRouteEnter(to, from, next) {
        next(vm =>
            Axios.get('club/', response => {
                vm.clubsExistants = response.data;
            })
        );
    }
    private enregistrerClub() {
        const formData = new FormData();
        formData.append('nom', this.nomClub);
        Axios.put(
            'club/',
            response => {
                this.nomClub = '';
                this.clubsExistants.push(response.data);
                if (this.clubsExistants.length > 0) {
                    this.clubSelectionne = this.clubsExistants[0].nom;
                }
            },
            formData
        );
    }
}
</script>
